public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sergei Trofimovich" <slyfox@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-boot/silo/
Date: Mon,  7 May 2018 16:14:29 +0000 (UTC)	[thread overview]
Message-ID: <1525709665.7feba33143b3b11e91448c9f331ecefd4cd05aa0.slyfox@gentoo> (raw)

commit:     7feba33143b3b11e91448c9f331ecefd4cd05aa0
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Mon May  7 16:14:01 2018 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Mon May  7 16:14:25 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7feba331

sys-boot/silo: fix a build against PIC profiles

Build failed on default/linux/sparc/17.0 profiles as
  ./util -a silotftp.map silotftp.aout silotftp2.aout silotftp.b silotftp.b2
  Distance between two changes larger than 63K 3 83881 0

I suspect th breakage happens due code inflation (caused by
-fPIC) on new profiles. iamben reports that -fno-PIC makes
silo to build and boot a sparc machine \o/

Fixed-by: iamben
Tested-by: iamben
Package-Manager: Portage-2.3.36, Repoman-2.3.9

 sys-boot/silo/silo-1.4.14_p20120819-r1.ebuild | 4 +++-
 sys-boot/silo/silo-1.4.14_p20170829.ebuild    | 4 +++-
 2 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/sys-boot/silo/silo-1.4.14_p20120819-r1.ebuild b/sys-boot/silo/silo-1.4.14_p20120819-r1.ebuild
index 2431901f440..946707a2947 100644
--- a/sys-boot/silo/silo-1.4.14_p20120819-r1.ebuild
+++ b/sys-boot/silo/silo-1.4.14_p20120819-r1.ebuild
@@ -40,7 +40,9 @@ src_prepare() {
 	sed -i -e "s/1.4.14/1.4.14_git20120819_p1/g" Rules.make || die
 
 	# Fix build failure
-	sed -i -e "s/-fno-strict-aliasing/-fno-strict-aliasing -U_FORTIFY_SOURCE -mcpu=v9/g" Rules.make || die
+	# -fno-PIC is needed to shrink silo size back to manageable on
+	# profiles where gcc has -fPIC default (via --enable-default-pie).
+	sed -i -e "s/-fno-strict-aliasing/-fno-strict-aliasing -U_FORTIFY_SOURCE -mcpu=v9 -fno-PIC/g" Rules.make || die
 }
 
 src_compile() {

diff --git a/sys-boot/silo/silo-1.4.14_p20170829.ebuild b/sys-boot/silo/silo-1.4.14_p20170829.ebuild
index dde2b3c9a73..e62265f8848 100644
--- a/sys-boot/silo/silo-1.4.14_p20170829.ebuild
+++ b/sys-boot/silo/silo-1.4.14_p20170829.ebuild
@@ -29,7 +29,9 @@ src_prepare() {
 	sed -i -e "s/1.4.14/1.4.14_git20170829/g" Rules.make || die
 
 	# Fix build failure
-	sed -i -e "s/-fno-strict-aliasing/-fno-strict-aliasing -U_FORTIFY_SOURCE -mcpu=v9/g" Rules.make || die
+	# -fno-PIC is needed to shrink silo size back to manageable on
+	# profiles where gcc has -fPIC default (via --enable-default-pie).
+	sed -i -e "s/-fno-strict-aliasing/-fno-strict-aliasing -U_FORTIFY_SOURCE -mcpu=v9 -fno-PIC/g" Rules.make || die
 
 	# Don't strip ieee32.b during compile
 	sed -i -e '/^	$(STRIP) ieee32.b/d' first/Makefile || die


             reply	other threads:[~2018-05-07 16:14 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-05-07 16:14 Sergei Trofimovich [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-12-27 10:52 [gentoo-commits] repo/gentoo:master commit in: sys-boot/silo/ Sergei Trofimovich
2020-12-26  9:13 Sergei Trofimovich
2020-12-25 22:32 Sergei Trofimovich
2020-12-25 22:21 Sergei Trofimovich
2020-12-18  9:53 Sergei Trofimovich
2020-06-03  2:05 Matt Turner
2020-06-03  2:05 Matt Turner
2019-06-28 18:38 Ben Kohler
2018-04-04 22:26 Sergei Trofimovich
2018-04-04 22:26 Sergei Trofimovich
2018-02-13 19:59 Sergei Trofimovich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1525709665.7feba33143b3b11e91448c9f331ecefd4cd05aa0.slyfox@gentoo \
    --to=slyfox@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox